Skip to content
Open
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
8 changes: 8 additions & 0 deletions api-reference/languages/v3-languages-changelog.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -8,6 +8,14 @@ description: 'Changes to the v3/languages endpoints, including the GA release an

This section lists dated changes to the API.

### 30 June 2026

**Expanded: `style_rules` feature on `translate_text` and `translate_document` resources** — the `style_rules`
feature is now reported on 25 additional target languages: `ar`, `bg`, `cs`, `da`, `el`, `et`, `fi`, `he`,
`hu`, `id`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, and `zh`.
These join the 8 previously supported languages (`de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`). Translation
memories are also now supported for these languages.

### 5 June 2026

**New: `spoken_terms` feature on `voice` resource** — the `spoken_terms` feature is now reported on
Expand Down
24 changes: 24 additions & 0 deletions api-reference/openapi.json
Original file line number Diff line number Diff line change
Expand Up @@ -7329,13 +7329,37 @@
"description": "The language that the style rule list is applied to.",
"type": "string",
"enum": [
"ar",
"bg",
"cs",
"da",
"de",
"el",
"en",
"es",
"et",
"fi",
"fr",
"he",
"hu",
"id",
"it",
"ja",
"ko",
"lt",
"lv",
"nb",
"nl",
"pl",
"pt",
"ro",
"ru",
"sk",
"sl",
"sv",
"tr",
"uk",
"vi",
"zh"
]
},
Expand Down
24 changes: 24 additions & 0 deletions api-reference/openapi.yaml
Original file line number Diff line number Diff line change
Expand Up @@ -5218,13 +5218,37 @@ components:
description: The language that the style rule list is applied to.
type: string
enum:
- ar
- bg
- cs
- da
- de
- el
- en
- es
- et
- fi
- fr
- he
- hu
- id
- it
- ja
- ko
- lt
- lv
- nb
- nl
- pl
- pt
- ro
- ru
- sk
- sl
- sv
- tr
- uk
- vi
- zh
StyleRuleName:
description: Name associated with the style rule list.
Expand Down
2 changes: 1 addition & 1 deletion api-reference/style-rules.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -161,7 +161,7 @@ Create a new style rule list with configured rules and optional custom instructi
The name of the style rule list. Maximum length: 1024 characters.
</ParamField>
<ParamField body="language" type="string" required>
The target language for the style rules. Supported values: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`.
The target language for the style rules. Supported values: `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, `zh`.
</ParamField>
<ParamField body="configured_rules" type="object">
An object containing predefined rules to enable for the style rule list. Rules are organized by category (e.g., `dates_and_times`, `punctuation`). Each category can contain multiple rule options.
Expand Down
2 changes: 1 addition & 1 deletion api-reference/translate.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -300,7 +300,7 @@ Note that we do not include examples for our client libraries in every single se
Specify a list of instructions to customize the translation behavior. Up to 10 custom instructions can be specified, each with a maximum of 300 characters.

<Info>
The target language must be `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh` or any variants of these languages.
The target language must be `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, `zh`, or any variants of these languages.

You can find best practices on how to write custom instructions [here](/docs/best-practices/custom-instructions).
</Info>
Expand Down
2 changes: 1 addition & 1 deletion docs/best-practices/custom-instructions.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -84,7 +84,7 @@ When using custom instructions, keep these constraints in mind:

- **Maximum instructions**: Up to 10 custom instructions per request
- **Character limit**: Each instruction can contain a maximum of 300 characters
- **Supported target languages**: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`, or any variants of these languages
- **Supported target languages**: `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, `zh`, or any variants of these languages
- **Model compatibility**: Custom instructions are compatible with all `model_type` values.

## Related documentation
Expand Down
2 changes: 1 addition & 1 deletion docs/getting-started/supported-languages.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -19,5 +19,5 @@ import { LanguageTable } from "/snippets/language-table.jsx"
</Info>

<Info>
Style rules are supported for the following target languages: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, and `zh`. For more details, see the [Style Rules API documentation](/api-reference/style-rules). Writing style and tone availability for `/write/rephrase` can also be retrieved via [`GET /v3/languages?resource=write`](/api-reference/languages/retrieve-supported-languages-by-resource).
Style rules, custom instructions, and translation memories are supported for the following target languages: `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, and `zh`. For more details, see the [Style Rules API documentation](/api-reference/style-rules). You can also retrieve supported languages programmatically via [`GET /v3/languages?resource=translate_text`](/api-reference/languages/retrieve-supported-languages-by-resource) and check for the `style_rules` feature key. Writing style and tone availability for `/write/rephrase` can also be retrieved via [`GET /v3/languages?resource=write`](/api-reference/languages/retrieve-supported-languages-by-resource).
</Info>
6 changes: 6 additions & 0 deletions docs/resources/roadmap-and-release-notes.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -10,6 +10,12 @@ rss: true
</Update>

<Update label="June 2026">
## June 30 - Style Rules, Translation Memories, and Currency Conversion for 25 Additional Languages
- [Style rules](/api-reference/style-rules), [custom instructions](/docs/best-practices/custom-instructions), and [translation memories](/docs/learning-how-tos/examples-and-guides/how-to-use-translation-memories) are now supported for 25 additional target languages: Arabic (`ar`), Bulgarian (`bg`), Chinese (`zh`), Czech (`cs`), Danish (`da`), Dutch (`nl`), Estonian (`et`), Finnish (`fi`), Greek (`el`), Hebrew (`he`), Hungarian (`hu`), Indonesian (`id`), Latvian (`lv`), Lithuanian (`lt`), Norwegian (`nb`), Polish (`pl`), Portuguese (`pt`), Romanian (`ro`), Russian (`ru`), Slovak (`sk`), Slovenian (`sl`), Swedish (`sv`), Turkish (`tr`), Ukrainian (`uk`), and Vietnamese (`vi`).
- These join the 8 previously supported languages (`de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`), bringing the total to 33 target languages.
- Currency conversion is also available as a configured style rule for these languages, enabling automatic conversion of currencies using daily exchange rates.
- Available on both the frontend and the API for all customers.

## June 24 - API Key Permissions General Availability
- [API key permissions](/docs/getting-started/managing-api-keys#api-key-permissions) are now generally available. Scope a developer API key to specific endpoints so it can perform only the operations you allow.
- Available on the API Pro, API Developer, API Growth, and API Enterprise plans.
Expand Down
Loading